com.pixelmed.dicom

## Class ColorPalette

- java.lang.Object
- - com.pixelmed.dicom.ColorPalette

- Direct Known Subclasses:
    ColorPaletteHotIron, ColorPaletteHotMetalBlue, ColorPalettePET, ColorPalettePET20Step

      public class ColorPalette
      extends java.lang.Object

  A class to encapsulate color palettes, including serialization and deserialization to and from standard DICOM color palette IODs.

  May be used as a base class for specific standard or private color palettes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String[]` | `alternateContentDescription`
    `protected java.lang.String[]` | `alternateContentLanguageCodeMeaning`
    `protected java.lang.String[]` | `alternateContentLanguageCodeValue`
    `protected byte[]` | `blue`
    `protected java.lang.String` | `contentCreatorName`
    `protected java.lang.String` | `contentDescription`
    `protected java.lang.String` | `contentLabel`
    `protected byte[]` | `green`
    `protected byte[]` | `iccProfile`
    `protected AttributeList` | `list`
    `protected byte[]` | `red`
    `protected java.lang.String` | `referenceEncodedInstanceURL`
    `protected java.lang.String` | `sopInstanceUID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ColorPalette()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createDICOMInstance(java.lang.String dicomFileName, java.lang.String iccProfileFileName, java.lang.String aet)` Create a DICOM color palette storage instance from the palette characteristics.
    `AttributeList` | `getAttributeList()`
    `java.lang.String` | `getContentDescription()`
    `java.lang.String` | `getContentLabel()`
    `byte[]` | `getICCProfile()`
    `java.lang.String` | `getReferenceEncodedInstanceURL()`
    `java.lang.String` | `getSOPInstanceUID()`
    `void` | `setICCProfileFromFile(java.lang.String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sopInstanceUID

          protected java.lang.String sopInstanceUID

    - #### contentLabel

          protected java.lang.String contentLabel

    - #### contentDescription

          protected java.lang.String contentDescription

    - #### contentCreatorName

          protected java.lang.String contentCreatorName

    - #### referenceEncodedInstanceURL

          protected java.lang.String referenceEncodedInstanceURL

    - #### alternateContentDescription

          protected java.lang.String[] alternateContentDescription

    - #### alternateContentLanguageCodeValue

          protected java.lang.String[] alternateContentLanguageCodeValue

    - #### alternateContentLanguageCodeMeaning

          protected java.lang.String[] alternateContentLanguageCodeMeaning

    - #### red

          protected byte[] red

    - #### green

          protected byte[] green

    - #### blue

          protected byte[] blue

    - #### iccProfile

          protected byte[] iccProfile

    - #### list

          protected AttributeList list

  - ### Constructor Detail

    - #### ColorPalette

          protected ColorPalette()

  - ### Method Detail

    - #### getSOPInstanceUID

          public java.lang.String getSOPInstanceUID()

    - #### getContentLabel

          public java.lang.String getContentLabel()

    - #### getContentDescription

          public java.lang.String getContentDescription()

    - #### getReferenceEncodedInstanceURL

          public java.lang.String getReferenceEncodedInstanceURL()

    - #### getICCProfile

          public byte[] getICCProfile()

    - #### setICCProfileFromFile

          public void setICCProfileFromFile(java.lang.String filename)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getAttributeList

          public AttributeList getAttributeList()
                                         throws DicomException

      Throws:
        `DicomException`

    - #### createDICOMInstance

          protected void createDICOMInstance(java.lang.String dicomFileName,
                                             java.lang.String iccProfileFileName,
                                             java.lang.String aet)
                                      throws java.io.IOException,
                                             DicomException

      Create a DICOM color palette storage instance from the palette characteristics.

      Parameters:
        `dicomFileName` - to write
        `iccProfileFileName` - to read
        `aet` - our Application Entity Title to include in the metaheader
      Throws:
        `java.io.IOException` - if an I/O error occurs
        `DicomException` - if error in DICOM encoding